Loading...
Searching...
No Matches
QGpgME::QGpgMESignEncryptJob Class Reference
Inheritance diagram for QGpgME::QGpgMESignEncryptJob:
[legend]
Collaboration diagram for QGpgME::QGpgMESignEncryptJob:
[legend]

## Public Member Functions

| QGpgMESignEncryptJob (GpgME::Context *context)
GpgME::Error | start (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const QByteArray &plainText, bool alwaysTrust) override
void | start (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const std::shared_ptr< QIODevice > &plainText, const std::shared_ptr< QIODevice > &cipherText, bool alwaysTrust) override
void | start (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const std::shared_ptr< QIODevice > &plainText, const std::shared_ptr< QIODevice > &cipherText, const GpgME::Context::EncryptionFlags flags) override
std::pair< GpgME::SigningResult, GpgME::EncryptionResult > | exec (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const QByteArray &plainText, bool alwaysTrust, QByteArray &cipherText) override
std::pair< GpgME::SigningResult, GpgME::EncryptionResult > | exec (const std::vector< GpgME::Key > &signers, const std::vector< GpgME::Key > &recipients, const QByteArray &plainText, const GpgME::Context::EncryptionFlags flags, QByteArray &cipherText) override
void | setOutputIsBase64Encoded (bool on) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptJob, QGpgMESignEncryptJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::SignEncryptJob
void | setFileName (const QString &fileName)
QString | fileName () const
void | setSigners (const std::vector< GpgME::Key > &signers)
std::vector< GpgME::Key > | signers () const
void | setRecipients (const std::vector< GpgME::Key > &recipients)
std::vector< GpgME::Key > | recipients () const
void | setInputFile (const QString &path)
QString | inputFile () const
void | setOutputFile (const QString &path)
QString | outputFile () const
void | setEncryptionFlags (GpgME::Context::EncryptionFlags flags)
GpgME::Context::EncryptionFlags | encryptionFlags () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptJob, QGpgMESignEncryptJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< SignEncryptJob, QGpgMESignEncryptJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::SignEncryptJob
void | result (const GpgME::SigningResult &signingresult, const GpgME::EncryptionResult &encryptionresult, const QByteArray &cipherText, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignEncryptJob, QGpgMESignEncryptJobPrivate, std::tuple< GpgME::SigningResult, GpgME::EncryptionResult, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::SignEncryptJob
| SignEncryptJob (std::unique_ptr< SignEncryptJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec() [1/2]

std::pair< GpgME::SigningResult, GpgME::EncryptionResult > QGpgME::QGpgMESignEncryptJob::exec | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const QByteArray & | plainText,
|  | bool | alwaysTrust,
|  | QByteArray & | cipherText )

override virtual

Implements QGpgME::SignEncryptJob.

## exec() [2/2]

std::pair< GpgME::SigningResult, GpgME::EncryptionResult > QGpgME::QGpgMESignEncryptJob::exec | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const QByteArray & | plainText,
|  | const GpgME::Context::EncryptionFlags | flags,
|  | QByteArray & | cipherText )

override virtual

Like exec but with an additional argument for EncryptionFlags for more flexibility.

Implements QGpgME::SignEncryptJob.

## setOutputIsBase64Encoded()

void QGpgMESignEncryptJob::setOutputIsBase64Encoded | ( | bool |  | ) |

override virtual

This is a hack to request BASE64 output (instead of whatever comes out normally).

Implements QGpgME::SignEncryptJob.

## start() [1/3]

GpgME::Error QGpgME::QGpgMESignEncryptJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const QByteArray & | plainText,
|  | bool | alwaysTrust )

override virtual

Starts the combined signing and encrypting operation. signers is the list of keys to sign plainText with. recipients is a list of keys to encrypt the signed plainText to. In both lists, empty (null) keys are ignored.

If alwaysTrust is true, validity checking for the recipient keys will not be performed, but full validity assumed for all recipient keys without further checks.

Implements QGpgME::SignEncryptJob.

## start() [2/3]

void QGpgME::QGpgMESignEncryptJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const std::shared_ptr< QIODevice > & | plainText,
|  | const std::shared_ptr< QIODevice > & | cipherText,
|  | bool | alwaysTrust )

override virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

If cipherText is non-null, the ciphertext is written there. Otherwise, it will be delivered in the third argument of result().

Implements QGpgME::SignEncryptJob.

## start() [3/3]

void QGpgME::QGpgMESignEncryptJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::vector< GpgME::Key > & | recipients,
|  | const std::shared_ptr< QIODevice > & | plainText,
|  | const std::shared_ptr< QIODevice > & | cipherText,
|  | const GpgME::Context::EncryptionFlags | flags )

override virtual

Like start but with an additional argument for EncryptionFlags for more flexibility.

Implements QGpgME::SignEncryptJob.

The documentation for this class was generated from the following files:

- qgpgmesignencryptjob.h
- qgpgmesignencryptjob.cpp